<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: ControladorAlbum</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: ControladorAlbum</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>ControladorAlbum<span class="signature">()</span><span class="type-signature"></span></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    
    <h4 class="name" id="ControladorAlbum"><span class="type-signature"></span>new ControladorAlbum<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorAlbum.js.html">ControladorAlbum.js</a>, <a href="ControladorAlbum.js.html#line12">line 12</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="buscar_albumes"><span class="type-signature"></span>buscar_albumes<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para buscar todos los albumes que le pertenezcan solo al usuario
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para presentar los mensajes respectivos de información o de error, y también obtener el nombre del artista guardado en el inicio de sesión con passport</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para presentarle al usuario la ventana de Albumes, y en el caso de error que redireccione a la pantalla principal</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorAlbum.js.html">ControladorAlbum.js</a>, <a href="ControladorAlbum.js.html#line149">line 149</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="crear_album"><span class="type-signature"></span>crear_album<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para crear el álbum obteniendo todos sus datos y guardandolos en la base de datos
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para presentar los mensajes respectivos de información o de error, también para obtener el external id de la persona y los datos que el usuario haya escrito acerca del álbum.</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana Albumes si todo sale bien, y en el caso de error a la de CrearAlbum</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorAlbum.js.html">ControladorAlbum.js</a>, <a href="ControladorAlbum.js.html#line69">line 69</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="guardar_portada"><span class="type-signature"></span>guardar_portada<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para cambiar la imagen de portada del album
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para presentar los mensajes respectivos de información o de error, también para obtener la imagen que el usuario haya subido en el input llamado "portada"</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana Album en el caso de que haya un error o de que todo salga bien</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorAlbum.js.html">ControladorAlbum.js</a>, <a href="ControladorAlbum.js.html#line100">line 100</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="visualizar_album"><span class="type-signature"></span>visualizar_album<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para visualizar todos los albumes que la persona haya creado, y también para que redireccione a la ventana Albumes
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el nombre del artista y poder presentar solo los albumes de ese artista</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la página de Albumes, o en el caso de que haya algún error a la página principal</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorAlbum.js.html">ControladorAlbum.js</a>, <a href="ControladorAlbum.js.html#line22">line 22</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="visualizar_portada_album"><span class="type-signature"></span>visualizar_portada_album<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para visualizarla ventana de EditarPortadaAlbum, y así poder subir la nueva foto para la portada
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para presentar los mensajes respectivos de información o de error, también para obtener el external id del album, para poderlo filtrar; y el nombre del álbum para poderle dar un nombre después</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para presentarle al usuario la ventana de EditarPortadaAlbum y en el caso de que haya algún error, redireccionar a la principal</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorAlbum.js.html">ControladorAlbum.js</a>, <a href="ControladorAlbum.js.html#line44">line 44</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="ControladorAlbum.html">ControladorAlbum</a></li></ul><h3>Global</h3><ul><li><a href="global.html#quitarespacios">quitarespacios</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Sun Aug 25 2019 04:12:44 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>